#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    long long int p,q,r,x,y,br=0,n,i;
    scanf("%lld%lld%lld%lld%lld",&p,&q,&r,&x,&y);
    for(n=x;n<=y;n++)
    {
        i=n-1;
        i=i/p+i/q+i/r+3;
        if(n>=i)
            br++;
    }
    printf("%lld",br);
}